const { WebSocketServer } = require('ws');
const upgradeWSS = require('../SmartWebSocketServer.js');

const wss = new WebSocketServer({ port: 8082 });

upgradeWSS(wss);

wss.on("connection", (ws) => {
	console.log("connected");
	ws.sendEvent("test", { "abc" : 123 });
	ws.on("test2", (data) => {
		console.log(data);
	});
});

wss.on("listening", () => {
	console.log("listening...");
})